/*eslint no-var: "error" */
/*eslint no-unused-vars: "off" */
/*eslint linebreak-style: "off" */
/*eslint no-trailing-spaces: "off" */
/*eslint-env es6*/
// Put this file in path/to/plugin/amd/src
// You can call it anything you like


import {call} from 'core/ajax';
import notification from 'core/notification';
import Vue from 'local_treestudyplan/vue/vue';
import RVComponents from 'local_treestudyplan/report-viewer-components';
import TSComponents from 'local_treestudyplan/treestudyplan-components';
import Debugger from 'local_treestudyplan/util/debugger';

import {load_strings} from 'local_treestudyplan/util/string-helper';
import {ProcessStudyplans} from 'local_treestudyplan/studyplan-processor';

import PortalVue from 'local_treestudyplan/portal-vue/portal-vue.esm';
import BootstrapVue from 'local_treestudyplan/bootstrap-vue/bootstrap-vue';
Vue.use(TSComponents);
Vue.use(RVComponents);
Vue.use(PortalVue);
Vue.use(BootstrapVue);


let debug = new Debugger("mytreestudyplan");
debug.enable();

let strings = load_strings({
    studyplan: {
        
    },
});

/**
 * Initialize the Page
 */
/**
 * Initialize the Page
 * @param {string} type Type of page to show
 * @param {Object} arg Arguments passed
 */
 export function init(type="own",arg) {
    // Save time by only starting up the Vue app if the required block element is present
    const blockelement = document.getElementById('block_mytreestudyplan');
    if(blockelement){
        const app = new Vue({
            el: '#block_mytreestudyplan',
            data: {
                "studyplans": [],
                "type" : type,
            },
            methods: {
            
            },
        });
    } 
}


